Skip to main content
PATCH
/
api
/
v1
/
appuid
/
{appUid}
/
labels
/
externalId
/
{externalId}
Update a label by externalId
curl --request PATCH \
  --url https://a.api.mindset.ai/api/v1/appuid/{appUid}/labels/externalId/{externalId} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "name": "<string>",
  "showInDiscovery": true
}
'
import requests

url = "https://a.api.mindset.ai/api/v1/appuid/{appUid}/labels/externalId/{externalId}"

payload = {
"name": "<string>",
"showInDiscovery": True
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', showInDiscovery: true})
};

fetch('https://a.api.mindset.ai/api/v1/appuid/{appUid}/labels/externalId/{externalId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "uid": "<string>",
  "externalId": "<string>",
  "name": "<string>",
  "showInDiscovery": true,
  "createdAt": "2023-11-07T05:31:56Z"
}
This response has no body data.
This response has no body data.

Authorizations

x-api-key
string
header
required

Path Parameters

appUid
string
required

Your application's uid

Minimum string length: 1
externalId
string
required

External ID of the label

Body

application/json
name
string

Name of the label

showInDiscovery
boolean

Is this label visible to end users?

Response

Successful update

uid
string

Unique ID of the label

externalId
string

Optionally id of external store where content has been ingested from

name
string
showInDiscovery
boolean

Is this label visible to end users?

createdAt
string<date-time>

Creation timestamp (ISO 8601)